#include "mbed.h"
#include "drone.h"
#include "FutabaSBUS.h"

#define STICK_CENTER 0x400
#define STICK_TILT   0x294

FutabaSBUS sbus(p9, p10);

void setFailsafeSBus (int flg) {
    sbus.failsafe(flg ? SBUS_SIGNAL_FAILSAFE : SBUS_SIGNAL_OK);
}

void setSBus (int ch, int num) {
    sbus.servo(ch, num);
}

void initSBus () {
    sbus.failsafe(SBUS_SIGNAL_FAILSAFE);
    sbus.passthrough(false);
    sbus.start();
}
